1. Mailboxes
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
    • Get Order Status
    • Creates order json
    • Order mailboxes (json)
    • Process the Order
    • Create Order
    • Add mailboxes to a subscription
  • Mailboxes
    • Get mailboxes for user
      GET
    • Get mailbox details by id
      GET
    • Get Mailbox Admin Details
      GET
    • Update mailbox details
      PATCH
    • Remove mailbox
      DELETE
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Mailboxes

Update mailbox details

PATCH
/mailboxes/update-mailbox-details
Updates the first name, last name, email username, and profile picture for an active mailbox.
Rate limit:
Maximum 2 updates per mailbox per day.
Update behavior:
Only the fields explicitly provided in the request will be updated.
Fields not passed in the request will remain unchanged.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Body Params application/json

Example
{
    "mailboxData": {
        "mailboxId": "HKSWJDKSDKSDKSDOSDISDS",
    "firstName" : "John",
    "lastName": "Doe",
    "userName": "john",
    "profilePicture": "https://images.unsplash.com/photo-1742147550712-9c25dc0832aa?w=500&auto=format&fit=crop&q=60&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxmZWF0dXJlZC1waG90b3MtZmVlZHw1fHx8ZW58MHx8fHx8"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://customers.coldmailreseller.com/api/v1/integration/mailboxes/update-mailbox-details?userId' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mailboxData": {
        "mailboxId": "HKSWJDKSDKSDKSDOSDISDS",
    "firstName" : "John",
    "lastName": "Doe",
    "userName": "john",
    "profilePicture": "https://images.unsplash.com/photo-1742147550712-9c25dc0832aa?w=500&auto=format&fit=crop&q=60&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxmZWF0dXJlZC1waG90b3MtZmVlZHw1fHx8ZW58MHx8fHx8"
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "message": "Mailbox details will update shortly",
    "data": null
}
🟠400Mailbox Update In Progress
🟠400Mailbox not found
Modified at 2025-12-16 18:16:51
Previous
Get Mailbox Admin Details
Next
Remove mailbox
Built with